from django.urls import path
from . import views
import baseapp.views as bs
urlpatterns = [

    path('observation/form/',views.formview_observation,name='observation_form'),
    path('observation/form/<int:id>',views.formview_observation,name='observation_form'),
    path('observation/',views.view_observation,name='observation'),
    path('observation/<str:viewtype>',views.view_observation,name='observation'),


    path('nutrition/form/',views.formview_nutritional_value,name='nutrition_form'),
    path('nutrition/form/<int:id>',views.formview_nutritional_value,name='nutrition_form'),
    path('nutrition/',views.view_nutritional_value,name='nutrition'),
    path('nutrition/<str:viewtype>',views.view_nutritional_value,name='nutrition'),


    path('blood/pressure/form/',views.formview_blood_Pressure,name='blood_pressure_form'),
    path('blood/pressure/form/<int:id>',views.formview_blood_Pressure,name='blood_pressure_form'),
    path('blood/pressure/',views.view_blood_Pressure,name='blood_pressure'),
    path('blood/pressure/<str:viewtype>',views.view_blood_Pressure,name='blood_pressure'),



    # path('fees/information/form/',views.formview_fees_information,name='fees_info_form'),
    # path('fees/information/form/<int:id>',views.formview_fees_information,name='fees_info_form'),
    # path('fees/information/',views.view_fees_information,name='fees_info'),
    # path('fees/information/<str:viewtype>',views.view_fees_information,name='fees_info'),




    path('history/examination/form/',views.formview_History_examination,name='history_examination_form'),
    path('history/examination/form/<int:id>',views.formview_History_examination,name='history_examination_form'),
    path('history/examination/',views.view_History_examination,name='history_examination'),
    path('history/examination/<str:viewtype>',views.view_History_examination,name='history_examination'),



    path('vitals/form/',views.formview_vitals,name='vitals_form'),
    path('vitals/form/<int:id>',views.formview_vitals,name='vitals_form'),
    path('vitals/',views.view_vitals,name='vitals'),
    path('vitals/<str:viewtype>',views.view_vitals,name='vitals'),



    path('treatment/details/form/',views.formview_treatment_details,name='treatment_details_form'),
    path('treatment/details/form/<int:id>',views.formview_treatment_details,name='treatment_details_form'),
    path('treatment/details/',views.view_treatment_details,name='treatment_details'),
    path('treatment/details/<str:viewtype>',views.view_treatment_details,name='treatment_details'),



    path('scheduling/form/',views.formview_scheduling,name='scheduling_form'),
    path('scheduling/form/<int:id>',views.formview_scheduling,name='scheduling_form'),
    path('scheduling/',views.view_scheduling,name='scheduling'),
    path('scheduling/<str:viewtype>',views.view_scheduling,name='scheduling'),
    
    # patient locked views
    path('observation/form/',views.formview_observation,name='observation_form'),
    path('observation/form/<int:id>',views.formview_observation,name='observation_form'),
    path('observation/',views.view_observation,name='observation'),
    path('observation/<str:viewtype>',views.view_observation,name='observation'),    
    
    
    
   
    
    
    
    
    
    
    
    
    
    
    
    
    ]